%define name	pyds
%define version	0.7.2
%define release 1mdk

Name: 	 	%{name}
Summary: 	Python Desktop Server
Version: 	%{version}
Release: 	%{release}

Source:		PyDS-%{version}.tar.bz2
URL:		http://pyds.muensterland.org/
License:	BSD
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
Requires:	python-medusa python-cheetah metakit-python
Requires:	PyXML pyrex python-docutils python-imaging
Requires:	python-soap >= 0.11.1
Requires:	libjpeg62 zlib1
Provides:	PyDS

%description
The Python Desktop Server is a combined Weblog authoring tool, XMLRPC/SOAP
server, and news aggregator. It allows one to read RSS news feeds, post to a
community server (such as Radio Userland or any Python Community Server
installation), and includes tools for Weblog and homepage management. It
features a Web interface, a built-in Web server, extensibility through scripts
that connect via XMLRPC or macros, and a plugin architecture.

To setup your portal, run pyds-start, then browse http://localhost:4334.

%prep
%setup -q -n PyDS-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE OVERVIEW README 
%_bindir/pyds-*
%_libdir/python2*/site-packages/PyDS
%_datadir/%name

%changelog
* Wed May 12 2004 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- 0.7.2

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- 0.7.1
- requires python-soap

* Wed Jan 14 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 0.6.5-1mdk
- 0.6.5

* Tue Nov 4 2003 Austin Acton <aacton@yorku.ca> 0.6.3-1mdk
- 0.6.3

* Wed Oct 29 2003 Austin Acton <aacton@yorku.ca> 0.6.2-1mdk
- 0.6.2

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.5.2-2mdk
- python 2.3

* Thu Jun 26 2003 Austin Acton <aacton@yorku.ca> 0.5.2-1mdk
- 0.5.2

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- 0.5.1

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 0.4.23-1mdk
- 0.4.23

* Wed Apr 23 2003 Austin Acton <aacton@yorku.ca> 0.4.22-1mdk
- 0.4.22

* Wed Apr 16 2003 Austin Acton <aacton@yorku.ca> 0.4.21-1mdk
- 0.4.21

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.4.20-1mdk
- initial package
